:root {
  --bp_1: #FF6347;
  --bp_2: #fffdd0;
  --bp_3: #5d7354;
  --primary_bg: #dfdda2;
  --primary_color: #511e15;
  --menu_bg: ghostwhite;
  --form_bg: #ff6347;
  --form_color: #fff5f3;
  --form-input_bg: #ffc0b5;
  --form-submit_bg: ghostwhite;
  --body_text: charter;
  /* CSS Background taken from Yoksel's work: https://codepen.io/yoksel/pen/ijxKy */
  --border-pattern: radial-gradient(4rem,
                              var(--bp_1) 80%,
                              var(--bp_2) 80%, var(--bp_2) 99%,
                              var(--bp_3)) 0 0,
              radial-gradient(4rem,
                              var(--bp_1) 80%,
                              var(--bp_2) 80%, var(--bp_2) 99%,
                              var(--bp_3)) 4em 4em,
              radial-gradient(4.7rem,
                              var(--bp_1) 50%,
                              var(--bp_3) 50%,
                              var(--bp_2) 75%, var(--bp_2) 99%,
                              var(--bp_1)) 4em 4em,
              radial-gradient(4.7rem,
                              var(--bp_1) 50%,
                              var(--bp_3) 50%,
                              #F5FCD0 75%, var(--bp_2) 99%,
                              var(--bp_3)) 0 0;
}

}

@font-face{
  font-family: charter;
  src: url('../aesthetic/assets/fonts/charter/charter_regular-webfont.woff');
}

html {
  height: 100%;
  font-size: 10px;
}
body, html {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  background: var(--border-pattern);
  padding: 0.5em;
  height: 100%;
  color: var(--p_color);
  min-height: 100vh;
  font-size: 26px;
  font-family: var(--body_text);
  background-size: 70px 70px;
  background-color: #F5FCD0;
}

abbr{
  text-decoration: none; 
  border-bottom: 3px dotted yellow;
}

main {
  padding: 3em;
  background: var(--primary_bg);
  color: var(--primary_color);
}
@media(max-width: 667px) {
  main {
    padding: 1em;
  }
}

header {
display: flex;
flex-grow: none;
justify-content: flex-start;
align-items: center;
flex-wrap: wrap;
}

header h1 {
  margin-right: 1em;
}

header img{
  height: auto;
  width: calc(259*2)px;
  height: calc(159*2)px;
}

section#menu {
  background: var(--p4);
  display: flex;
  flex-direction: column;
  align-items: space-between;
  padding: 0.125em;
  background: var(--border-pattern);
  background-size: 75px 75px;
  max-width: 50%;
  margin: auto;
}
@media (max-width: 668px) {
  section#menu {
      max-width: 100%;
  }
}

section#menu div.paper {
  background: var(--menu_bg);
  padding: 1em;
}

section#menu .heading {
  margin-bottom: 3em;
}

section#menu h2 {
  margin: 0;
  padding: 0;
}

section#menu p.week {
  font-size: 0.8em;
  margin-top: 0;
  margin-left: 0.4em;
  margin-bottom: 0;
  padding-bottom: 0;
}

section#menu .dish , .dish p{
  margin: 0;
  padding: 0;
}

section#menu p.description {
  font-weight: 700;
  margin-bottom: 0;
  text-align: center;
}

section#menu aside{
  font-size: 0.8em;
  font-style: italic;
  margin-top: 0;
  text-align: center;
}

section#menu .logistics {
  margin-top: 3em;
}
section#menu .logistics p {
  margin-bottom: 0.25em;
  margin-top: 0;
}

section#introduction , section#menu , section#RSVP{
  margin-bottom: 3em;
}


section#RSVP form{
  width: 50%;
  margin: auto;
  margin-top: 3em;
  padding: 1em;
  background: var(--form_bg);
  color: var(--form_color);
}


section#RSVP form label.name {
  position: relative;
  width: 100%;
  display: flex;
}

section#RSVP form label.name ~ input {
  margin-bottom: 1em;
  padding: 0;
  padding-left: 1em;
  font-size: 1em;
  margin-top: 0.5em;
  width: calc(100% - 1em);
  overflow: hidden;
  background: var(--form-input_bg);
}

section#RSVP form fieldset {
  margin-bottom: 1em;
  border-color: var(--p3);
  display: flex;
}

section#RSVP input[type="submit"] {
  width: 100% !important;
  margin: auto;
  padding-left: 0;
  font-size: 1em;
  margin: 0;
  background: var(--form-submit_bg) !important;
}
@media (max-width: 667px) {
  section#RSVP form {
    width: unset;
    max-width: 100%;
  } 
}

/* Use this later for the pie season! */
/* Background CSS taken from Mark Deutsch (https://codepen.io/doytch/#) */
--border-pattern: linear-gradient(45deg, var(--bp_1) 12%, transparent 0, transparent 88%, var(--bp_1) 0), linear-gradient(135deg, transparent 37%, var(--bp_2) 0, var(--bp_2) 63%, transparent 0), linear-gradient(45deg, transparent 37%, var(--bp_1) 0, var(--bp_1) 63%, transparent 0), var(--bp_3);
